.ctx {
  --window-header-height: 2rem;
  --window-footer-height: 2rem;
}

.hidden {
  display: none !important;
}

#draggable {
  border: solid 1px var(--text-color-grad1);
  border-radius: 3px;
  box-shadow:
    0 1px 2px rgba(60, 64, 67, 0.3),
    0 1px 3px 1px rgba(60, 64, 67, 0.15);
  background: var(--bkg-color);
  width: 100%;
  height: 100%;
}

#header {
  height: var(--window-header-height);
  padding: 0 0.5rem;
  cursor: move;
  z-index: 10;
  background-color: var(--text-color-grad2);
  color: var(--bkg-color);
  text-align: center;
}

#header p {
  line-height: var(--window-header-height);
  margin: 0;
}

#close {
  border: none;
  color: var(--text-color);
  padding: 0;
  margin: 0.5rem;
  width: 1rem;
  height: 1rem;
  line-height: 1rem;
  position: absolute;
  top: 0;
  right: 0;
  background-color: transparent;
  cursor: pointer;
}

#close i:before {
  content: '\f00d';
}

#close:hover {
  border-color: #000;
  color: #000;
}

#content {
  width: 100%;
  height: calc(100% - (var(--window-header-height) + var(--window-footer-height)));
  overflow-y: auto;
  color: var(--text-color);
}

#content div {
  padding: 1rem 2rem;
}

table {
  border-collapse: collapse;
  width: 100%;
}

td.label {
  text-align: right;
  padding-right: 1rem;
  color: var(--text-color-grad1);
  width: 8rem;
  vertical-align: top;
}

td.label:after {
  content: ' :';
}

#footer {
  height: var(--window-footer-height);
  color: var(--text-color-grad1);
  border-top: solid 1px var(--text-color-grad1);
  display: flex;
  justify-content: space-around;
}

button {
  flex-grow: 1;
  border: none;
  background-color: unset;
  color: var(--text-color-grad1);
  padding: 0.5rem;
  cursor: pointer;
}

button > img {
  max-height: calc(var(--window-header-height) / 2);
}

#previous i {
  float: left;
}

#next i {
  float: right;
}

#tools {
  display: flex;
  justify-content: space-around;
}

#counter {
  line-height: var(--window-footer-height);
  height: var(--window-footer-height);
  text-align: center;
  margin-top: 0;
}

/* ==== Under - to resize ==== */
.resizer {
  --resize-size: 6px;
  --negative-resize-size: -6px;
}

button.resizer {
  position: absolute;
  background-color: transparent;
  border: none;
}

.resizer.corner {
  width: var(--resize-size);
  height: var(--resize-size);
}

.resizer.top-bottom {
  width: calc(100% - (2 * var(--resize-size)));
  height: var(--resize-size);
}

.resizer.left-right {
  width: var(--resize-size);
  height: calc(100% - (2 * var(--resize-size)));
}

.resizer.tl:hover,
.resizer.br:hover {
  cursor: nw-resize;
}

.resizer.tr:hover,
.resizer.bl:hover {
  cursor: ne-resize;
}

.resizer.top-bottom:hover {
  cursor: n-resize;
}

.resizer.left-right:hover {
  cursor: e-resize;
}

.resizer.tl {
  top: var(--negative-resize-size);
  left: var(--negative-resize-size);
}

.resizer.t {
  top: var(--negative-resize-size);
  left: var(--resize-size);
}

.resizer.tr {
  top: var(--negative-resize-size);
  right: var(--negative-resize-size);
}

.resizer.r {
  top: var(--resize-size);
  right: var(--negative-resize-size);
}

.resizer.br {
  bottom: var(--negative-resize-size);
  right: var(--negative-resize-size);
}

.resizer.b {
  bottom: var(--negative-resize-size);
  left: var(--resize-size);
}

.resizer.bl {
  bottom: var(--negative-resize-size);
  left: var(--negative-resize-size);
}

.resizer.l {
  top: var(--resize-size);
  left: var(--negative-resize-size);
}

/** ==== Layers Dropdown ==== */
#layers-dropdown {
  background-color: var(--bkg-color);
  border: solid 1px var(--bkg-color-grad2);
  padding: 0.5rem 0;

  position: absolute;
  bottom: 2rem;

  display: flex;
  flex-direction: column;
  align-items: center;
}

option.layers-dropdown-item {
  cursor: pointer;
  padding: 0.1rem 0.5rem 0.1rem 0.5rem;
}

option.layers-dropdown-item:hover {
  background-color: var(--bkg-color-grad1);
}
